#3342 closed defect (fixed)

pthread_setschedparam() has incorrect prototype

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

We are missing the const on the third parameter. This requires a change to newlib and RTEMS. The correct prototype is:

int pthread_setschedparam(

pthread_t thread,
int policy,
const struct sched_param *param

)

Change History (4)

comment:1 Changed on Mar 14, 2018 at 10:32:12 PM by Joel Sherrill

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on Mar 20, 2018 at 6:45:49 PM by Joel Sherrill

Change pushed to newlib. I have a patch pending for RTEMS pending a tool bump.

comment:3 Changed on Jul 6, 2018 at 5:27:12 AM by Sebastian Huber <sebastian.huber@…>

In 77fbbd6/rtems:

posix: Check for new <pthread.h> prototypes

Update #3342.
Update #3343.

comment:4 Changed on Jul 24, 2018 at 7:06:52 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In dc6b940/rtems-source-builder:

5: Update Newlib

Update RISC-V GCC to a GCC 9 branch commit.

Close #3342.
Close #3343.
Update #3452.

Note: See TracTickets for help on using tickets.